#!/bin/sh
#
# Script run when MOL starts/exits.
# Useful to mount/unmount HFS volumes.
#
# Place this file in the /etc folder named mol.sh.
#
# IMPORTANT: If this shell script is used, then the session 
# save/restore function will not work properly (MOL will detects 
# that the HFS volume has been mounted r/w since the session was 
# saved and will thus refuses to restore the session since it is not
# a safe thing to do).
#
# Usage: mol.sh [ start | stop ]
#

if [ "$1" == "start" ] ; then
	umount -a -t hfs
else
	mount -a -t hfs
fi
